Subject: Re: Aging or limiting mailfiles with Procmail

From: (Dave Lopata) <[email-masked]>
Date: Mon, 24 Jan 1994 13:00:36 -0500

...

In message <[email-masked]> you write:
# 
# An acquaintence brought a problem to me that I could actually use an 
# answer to for myself as well.. We want to limit a mailfile to a given 
# number of messages, or to messages of a given date/age, or both. Is this 
# possible without much pain using procmail?
# 
# Pointers would be welcome if that's appropriate.
# 

	Disclaimer: I'm not a procmail whiz, so perhaps there is a
	  	    procmail way.

	For managing my MH stuff, I've added the following lines to my
	personal crontab:

15 0 * * * find /usr/users/dlopata/Mail/Copies -mtime +90 -exec rm -f {} \;
30 0 * * * find /usr/users/dlopata/Mail/Sum-Backup -mtime +60 -exec rm -f {} \;
45 0 * * * find /usr/users/dlopata/Mail -name ,\*  -mtime +2 -exec rm -f {} \;
00 1 * * * find /usr/users/dlopata/Mail -name #\*  -mtime +2 -exec rm -f {} \;
15 1 * * * find /usr/users/dlopata/Mail -mtime +180 -exec rm -f {} \;
30 1 * * * /usr/local/bin/folder -all -pack

	The first two lines delete make sure none of my cc's to myself
	are older than 90 days, and that my Backup Summaries are only
	60 days old.

	The next two trash any backup files MH makes.  The last find
	removes *any* mail files older than 180 days.

	The final line, does a standard mh pack on the folders.

-------------------------------------------------------------------------
Dave "The Dave" Lopata                               [email-masked]
Dept. of Statistics Computer Systems Guy                (904)392-1941 233
University of Florida                                      Beep: 339-7044